Get lead time chart data
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/charts/lead-time \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/engineering-insights/charts/lead-time"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/engineering-insights/charts/lead-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"summary": {},
"xAxis": "timestamp",
"yAxis": "count",
"name": "deploymentFrequency",
"metrics": {}
},
"series": [
{
"metadata": {
"name": "<string>",
"count": 123,
"bounds": [
{
"name": "equal",
"value": 100
}
]
},
"data": [
{
"x": 1617225600000,
"y": 100,
"values": {}
}
]
}
]
}{
"code": "invalid_request",
"message": "validation failed",
"errors": [
{
"attribute": "projectKey",
"reason": "must be present"
}
]
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get lead time chart data
Get lead time chart data. The engineering insights UI displays lead time data in the lead time metric view.
GET
/
api
/
v2
/
engineering-insights
/
charts
/
lead-time
Get lead time chart data
Authorizations
Query Parameters
The project key
The environment key
Comma separated list of application keys
Unix timestamp in milliseconds. Default value is 7 days ago.
Unix timestamp in milliseconds. Default value is now.
Specify type of bucket. Options: rolling, hour, day. Default: rolling.
Duration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
Options: application, stage. Default: stage.
Options: metrics, percentiles.